Page MenuHomePhabricator

[beta] Global user pages do not display in MobileFrontend Beta and Alpha
Closed, ResolvedPublic

Description

MobileFrontend does not display global user pages when beta or alpha features are enabled. This is because it does not call Article::newFromTitle() & Article::showMissingArticle() and instead appears to have its own red link message in SkinMinervaBeta::handleNewPages().

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRemove new page handling from beta

Event Timeline

Legoktm created this task.Jun 17 2015, 10:04 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, bd808.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptJun 17 2015, 10:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
bd808 renamed this task from Global user pages do not display in MobileFrontend to Global user pages do not display in MobileFrontend Beta and Alpha.Jun 17 2015, 10:07 PM
bd808 updated the task description. (Show Details)
bd808 set Security to None.
Jdlrobson renamed this task from Global user pages do not display in MobileFrontend Beta and Alpha to [beta] Global user pages do not display in MobileFrontend Beta and Alpha.Jul 29 2015, 11:28 PM

Change 227909 had a related patch set uploaded (by Jdlrobson):
Remove new page handling from beta

https://gerrit.wikimedia.org/r/227909

Florian closed this task as Resolved.Jul 31 2015, 4:43 PM
Florian claimed this task.
Florian reassigned this task from Florian to Jdlrobson.
Florian removed a project: Patch-For-Review.

Change 227909 merged by jenkins-bot:
Remove new page handling from beta

https://gerrit.wikimedia.org/r/227909